/**
 * 2026-06-27 15:43:34 | www.dreamdesignsweb.com
 * use with php of same name
 */
.searchBlock {
    justify-content: flex-end;
    text-align: right;

    @media (max-width: 550px) {
        align-self: flex-end;
    }
}
.searchInput {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    width: 100px;
    height: 2.125rem;
    font-size: 14px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    transition: width 0.2s ease-in-out;
    outline: none;
}
.searchSet > form {
    display: inline-block;
}
.searchSet .searchInput {

    @media (max-width: 550px) {
        display: none;
    }
}
.searchInput:focus {
    width: 200px;
}
button.searchButton {
    height: 2.125rem;
    margin: 0;
    padding: 0.44rem 0.75rem;
    font-size: 1.25rem;
    line-height: 0.938rem;
    font-weight: bold;
    background: none;
    border: solid 1px #e1e1e1;
    border-left: none;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    outline: none;
}
button.searchButton:hover {
    background-color: #efefef;
}
.searchSet button.searchButton {
    @media (max-width: 550px) {
        display: none;
    }
}
.searchBlock .searchButtonAlt {
    display: none;
    padding: 0.563rem 0.75rem;
    font-size: 1.25rem;
    line-height: 0;
    font-weight: bold;
    vertical-align: bottom;
    border: none;

    @media (max-width: 550px) {
        display: inline-block;
    }
}
.searchBlock .searchButtonAlt span {
    font-size: 0.813rem;
    font-weight: normal;
    vertical-align: bottom;
    pointer-events: none;
}
.searchBlock .searchButtonAlt::after {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    content: '\203A';
    margin-left: 2px;
    font-size: 1.375rem;
    transform: rotate(90deg);
}
.searchBlock .searchButtonAltClose::after {
    transform: rotate(-90deg);
}

.searchBlock .filterModalButton {
    padding: 0.5rem 0.625rem;
    margin: 0;
    color: #333;
    font-size: 12px;
    border: solid 1px #c0c0c0;
    background-color: #efefef;

    @media (max-width: 550px) {
        padding: 0.188rem 0.625rem;
    }
}
.searchBlock .filterModalButton:hover {
    color: #000;
}
.searchBlock .filterModalButton > img {
    width: 16px;
    height: auto;
    vertical-align: middle;
}

.searchSetAlt {
    display: none;
    height: auto;
    max-height: 0;
    text-align: center;
    overflow: hidden;
    transition: max-height 0.2s ease-in-out;

    @media (max-width: 550px) {
        display: block;
    }
}
.searchSetAltInner {
    margin-top: 0.313rem;
    padding: 1rem 0;
    border-top: dotted 1px #c0c0c0;
    border-bottom: dotted 1px #c0c0c0;
}
.searchSetAlt .searchSetAltInner .searchInput {
    width: 240px;

    @media (max-width: 380px) {
        width: calc(100% - 62px);
    }
}
.searchSetAltShow {
    max-height: 250px;
}